package com.usky.website.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.website.domain.SiteCategory;
import com.usky.website.service.SiteCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 官网_栏目管理 前端控制器
 * </p>
 *
 * @author ya
 * @since 2022-08-31
 */
@RestController
@RequestMapping("/siteCategory")
public class SiteCategoryController {

    @Autowired
    private SiteCategoryService siteCategoryService;

    /**
     * 官网-栏目查询
     *
     * @return
     */
    @GetMapping("siteCategoryList")
    public ApiResult<List<SiteCategory>> siteCategoryList() {
        return ApiResult.success(siteCategoryService.siteCategoryList());
    }
}

